<?php

/**
 * @package     Linklay.Plugin
 *
 * @copyright   Copyright (C) 2018 Linklay. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die('Restricted access');

/**
 * Plug-in to enable loading modules into content (e.g. articles)
 * This uses the {loadmodule} syntax
 *
 * @package     Linklay.Plugin
 * @since       3.1
 */
class plgContentLinklay extends JPlugin {

  protected $autoloadLanguage = true;

  public function onContentPrepare($context, &$article, &$params, $page = 0) {
    require_once 'codecide/shortcode.php';
    $shortcode = new linklay();
    $shortcode->replace($article->text, ['align' => '', 'class' => '']);
    return true;
  }

}
